Bug 1221292 - Please install symbolic icon
Summary: Please install symbolic icon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: transmission
Version: 22
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F22FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2015-05-13 15:49 UTC by Michael Catanzaro
Modified: 2015-05-15 21:33 UTC (History)
11 users (show)

Fixed In Version: transmission-2.84-7.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-15 21:33:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael Catanzaro 2015-05-13 15:49:28 UTC
Transmission is missing a symbolic icon. We want to add a symbolic icon for F22 because it is present in our default install.

Icon available here: https://github.com/gnome-design-team/gnome-icons/blob/master/apps-symbolic/Adwaita/scalable/apps/transmission-symbolic.svg

Should be installed to /usr/share/icons/hicolor/symbolic/apps.

Comment 1 Fedora Blocker Bugs Application 2015-05-13 15:53:22 UTC
Proposed as a Freeze Exception for 22-final by Fedora user catanzaro using the blocker tracking app because:

 We want all apps installed by default in Fedora Workstation to include a symbolic icon.

Comment 2 Ankur Sinha (FranciscoD) 2015-05-13 18:05:37 UTC
On it. I'll update the package and push an update tomorrow when I get to work, if no one else has done it by then.

Cheers,
Ankur

Comment 3 Michael Catanzaro 2015-05-13 18:15:35 UTC
Kalev already has a build done, we just need to get the update out. Thanks though!

Comment 4 Fedora Update System 2015-05-13 18:55:12 UTC
transmission-2.84-6.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/transmission-2.84-6.fc22

Comment 5 Ankur Sinha (FranciscoD) 2015-05-13 19:50:33 UTC
Oh, great. Have you also submitted this icon upstream?

I'll go test the update in the meantime.

Cheers!

Comment 6 Michael Catanzaro 2015-05-13 20:00:44 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #5)
> Oh, great. Have you also submitted this icon upstream?

It hasn't been sent upstream yet. It's honestly not immediately clear to me how to submit patches to them. We're tracking upstream status here so we don't forget: https://wiki.gnome.org/Initiatives/GnomeGoals/HighContrastAppIcons

Comment 7 Stephen Gallagher 2015-05-13 21:01:03 UTC
Low risk and valuable to a11y support. +1 FE.

Comment 8 Kamil Páral 2015-05-14 12:35:29 UTC
The update is now here:
https://admin.fedoraproject.org/updates/transmission-2.84-7.fc22

Not sure why Bodhi hasn't updated Bugzilla.

Comment 9 Kamil Páral 2015-05-14 18:20:48 UTC
Discussed at the 2015-05-14 blocker review meeting.[1] Voted as AcceptedFreezeException - this would improve the visual consistency of the workstation live environment (and help users who actually need high-contrast icons, too). the update pulls in more change than is strictly desirable, but the biggest change is to the qt build which is not included in any frozen media

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2015-05-14

Comment 10 Fedora Update System 2015-05-15 21:33:22 UTC
transmission-2.84-7.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.